package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

/**
 * Created by cimenmus on 26.10.2017.
 */

public class ZoneModel {

    @Expose @SerializedName("zone_id") private String zoneId;
    @Expose @SerializedName("country_id") private String countryId;

    private String name;
    private String code;
    private String status;

    private void checkNull(){

        if(zoneId == null){
            zoneId = "";
        }

        if(countryId == null){
            countryId = "";
        }

        if(name == null){
            name = "";
        }

        if(code == null){
            code = "";
        }

        if(status == null){
            status = "";
        }
    }

    public static void checkNull(ArrayList<ZoneModel> zoneList){
        for(ZoneModel zoneModel : zoneList){
            zoneModel.checkNull();
        }
    }

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public String getCountryId() {
        return countryId;
    }

    public void setCountryId(String countryId) {
        this.countryId = countryId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
